> For the complete documentation index, see [llms.txt](https://docs.bsc.lista.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bsc.lista.org/zh-cn/kai-fa-zhe/rwa/bot-operations.md).

# 机器人操作

机器人在 `RWAAdapter` 上运行，以桥接 `RWAEarnPool` 和异步金库结算。

## 存款路径

1. `requestDepositToVault`
2. 等待结算窗口（通常为1-2个工作日）
3. `depositToVault`

## 取款路径

1. `requestWithdrawFromVault`
2. 等待结算窗口（通常为1-2个工作日）
3. `withdrawFromVault`
4. `finishEarnPoolWithdraw` 以资助 `RWAEarnPool` 中的用户请求

## 收益更新

机器人每天调用 `notifyInterest`，因此收益反映在份额净值增长中。

## 方法

| 方法                         | 描述                                             |
| -------------------------- | ---------------------------------------------- |
| `requestDepositToVault`    | 调用 AsyncVault 的 `requestDeposit` 并将资金转移到金库认购中。 |
| `depositToVault`           | 在异步结算后完成铸造并接收金库份额。                             |
| `requestWithdrawFromVault` | 向 AsyncVault 提交批量赎回请求。                         |
| `withdrawFromVault`        | 在异步结算后完成赎回并接收资金。                               |
| `finishEarnPoolWithdraw`   | 将赎回的资金转移到 `RWAEarnPool` 以满足待处理的用户提款。           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bsc.lista.org/zh-cn/kai-fa-zhe/rwa/bot-operations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
